{
  pkgs,
  prefs,
  inputs,
  ...
}:

{
  imports = [ ./modules.nix ];

  home = {
    inherit (prefs.users.hulk) username homeDirectory;
    packages = import ./packages.nix { inherit pkgs inputs; };
    stateVersion = "24.11";
  };

  programs.home-manager.enable = true;
}
